<?php
/**
 * Mantiene el Aviso Legal
 *
 * @package   Protección de datos - RGPD
 * @author    ABCdatos
 * @license   GPLv2
 * @link      https://taller.abcdatos.net/
 */

defined( 'ABSPATH' ) or die( 'No se permite el acceso.' );

// Shortcodes

add_shortcode( 'pdrgpd-aviso-legal' , 'pdrgpd_aviso_legal' );
function pdrgpd_aviso_legal() {
	$html  = "[pdrgpd-aviso-legal-identificacion-titular]\n";
	$html .= "[pdrgpd-aviso-legal-condiciones]\n";
	$html .= "[pdrgpd-aviso-legal-propiedad-intelectual]\n";
	$html .= "[pdrgpd-aviso-legal-disponibilidad]\n";
	$html .= "[pdrgpd-aviso-legal-calidad]\n";
	$html .= "[pdrgpd-aviso-legal-limitacion-responsabilidad]\n";
	$html .= "[pdrgpd-aviso-legal-notificaciones]\n";
	$html .= "[pdrgpd-aviso-legal-jurisdiccion]\n";
	$html .= "[pdrgpd-aviso-legal-legislacion]\n";
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-identificacion-titular' , 'pdrgpd_aviso_legal_identificacion_titular' );
function pdrgpd_aviso_legal_identificacion_titular() {
	$html  = "<h3>DATOS IDENTIFICATIVOS DEL TITULAR DEL SITIO WEB</h3>\n";
	$html .= '<p>En cumplimiento del deber de información estipulado en el artículo 10 de la Ley 34/2002 de 11 de julio de Servicios de la Sociedad de la Información y de Comercio Electrónico, ';
	$html .= '<strong><em>[pdrgpd-titular]</em></strong>';
	$html .= ', con ' . pdrgpd_nif_o_cif ( pdrgpd_conf_nif() ) . ' [pdrgpd-nif]';
	$html .= pdrgpd_inscripcion_registro_mercantil();
	$html .= ', en adelante <strong>[pdrgpd-sitio]</strong>';
	$html .= ', en calidad de titular del sitio web <strong>[pdrgpd-dominio]</strong>';
	$html .= ', con domicilio en [pdrgpd-direccion]';
	if ( pdrgpd_conf_cp() ) {
		$html .= ', código postal [pdrgpd-cp]';
	}
	$html .= ' de [pdrgpd-poblacion]';
	if ( pdrgpd_conf_provincia() && pdrgpd_conf_provincia() != pdrgpd_conf_poblacion() ) {
		$html .= ', [pdrgpd-provincia]';
	}
	$html .= ', dirección de correo electrónico [pdrgpd-email]';
	if ( pdrgpd_conf_telefono() ) {
		$html .= ' y teléfono [pdrgpd-telefono]';
	}
	$html .= ', procede a comunicarles la presente información que conforma y regula las condiciones de uso en esta página, las limitaciones de responsabilidad';
	$html .= ' y las obligaciones que, los usuarios del sitio web que se publica bajo el nombre de dominio <strong><i>';
	$html.= pdrgpd_conf_dominio();
	$html .= '</i></strong>, asumen y se comprometen a respetar.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-condiciones' , 'pdrgpd_aviso_legal_condiciones' );
function pdrgpd_aviso_legal_condiciones() {
	$html  = '<h3>CONDICIONES DE USO</h3>
<p>La utilización de <strong>[pdrgpd-dominio]</strong> otorga la condición de <strong>Usuario</strong> de <strong>[pdrgpd-dominio]</strong>, bien sea persona física o jurídica y obligatoriamente implica la aceptación completa, plena y sin reservas de todas y cada una de las cláusulas y condiciones generales incluidas en el Aviso Legal. Si el <strong>Usuario</strong> no estuviera conforme con las cláusulas y condiciones de uso de este Aviso Legal, se abstendrá de utilizar <strong>[pdrgpd-dominio]</strong>. Este Aviso Legal está sujeto a cambios y actualizaciones por lo que la versión publicada por <strong>[pdrgpd-sitio]</strong> puede ser diferente en cada momento en que el <strong>Usuario</strong> acceda al Portal. Por tanto, el <strong>Usuario</strong> debe leer el Aviso Legal en todas y cada una de las ocasiones en que acceda a <strong>[pdrgpd-dominio]</strong>.</p>

<p>A través de <strong>[pdrgpd-dominio]</strong>, <strong>[pdrgpd-sitio]</strong><b> </b>facilita al <strong>Usuario</strong> el acceso y la utilización de diversos contenidos publicados por medio de Internet por <strong>[pdrgpd-sitio]</strong> o por terceros autorizados.</p>

<p>El <strong>Usuario</strong> está obligado y se compromete a utilizar <strong>[pdrgpd-dominio]</strong> y los Contenidos de conformidad con la legislación vigente, el Aviso Legal, y cualquier otro aviso o instrucciones puestos en su conocimiento, bien sea por medio de este aviso legal o en cualquier otro lugar dentro de los Contenidos que conforman <strong>[pdrgpd-dominio]</strong>, así como con las normas de convivencia, la moral y buenas costumbres generalmente aceptadas. A tal efecto, el <strong>Usuario</strong> se obliga y compromete a NO utilizar cualquiera de los Contenidos con fines o efectos ilícitos, prohibidos en el Aviso Legal o por la legislación vigente, lesivos de los derechos e intereses de terceros, o que de cualquier forma puedan dañar, inutilizar, sobrecargar, deteriorar o impedir la normal utilización de los Contenidos, los equipos informáticos o los documentos, archivos y toda clase de contenidos almacenados en cualquier equipo informático propios o contratados por <strong>[pdrgpd-sitio]</strong>, de otro <strong>USUARIO</strong> o de cualquier usuario de Internet (hardware y software).</p>

<p>El <strong>Usuario</strong> se obliga y se compromete a no transmitir, difundir o poner a disposición de terceros cualquier clase de material contenido en <strong>[pdrgpd-dominio]</strong>, tales como informaciones, textos, datos, contenidos, mensajes, gráficos, dibujos, archivos de sonido y/o imagen, fotografías, grabaciones, software, logotipos, marcas, iconos, tecnología, fotografías, software, enlaces, diseño gráfico y códigos fuente, o cualquier otro material al que tuviera acceso en su condición de <strong>Usuario</strong> de <strong>[pdrgpd-dominio]</strong>, sin que esta enumeración tenga carácter limitativo. Asimismo, de conformidad con todo ello, el <strong>Usuario</strong> no podrá:</p>
<ul>
<li>Reproducir, copiar, distribuir, poner a disposición o de cualquier otra forma comunicar públicamente, transformar o modificar los Contenidos, a menos que se cuente con la autorización escrita y explícita de <strong>[pdrgpd-sitio]</strong>, que es titular de los correspondientes derechos, o bien que ello resulte legalmente permitido.</li>
<li>Suprimir, manipular o de cualquier forma alterar el “copyright” y demás datos identificativos de la reserva de derechos de <strong>[pdrgpd-sitio]</strong> o de sus titulares, de las huellas y/o identificadores digitales, marcas de agua, o de cualesquiera otros medios técnicos establecidos para su reconocimiento.</li>
</ul>
<p>El <strong>Usuario</strong> deberá abstenerse de obtener e incluso de intentar obtener los Contenidos empleando para ello medios o procedimientos distintos de los que, según los casos, se hayan puesto a su disposición a este efecto o se hayan indicado a este efecto en las páginas web donde se encuentren los Contenidos o, en general, de los que se empleen habitualmente en Internet a este efecto siempre que no entrañen un riesgo de daño o inutilización de <strong>[pdrgpd-dominio]</strong>, y/o de los Contenidos.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-propiedad-intelectual' , 'pdrgpd_aviso_legal_propiedad_intelectual' );
function pdrgpd_aviso_legal_propiedad_intelectual() {
	$html  = '<h3>PROPIEDAD INTELECTUAL</h3>
<p>Todas las marcas, nombres comerciales o signos distintivos de cualquier clase que aparecen en <strong>[pdrgpd-dominio]</strong> son propiedad de <strong>[pdrgpd-sitio]</strong> o, en su caso, de sus respectivos propietarios, sin que pueda entenderse que el uso o acceso al Portal y/o a los Contenidos atribuya al <strong>Usuario</strong> derecho alguno sobre las citadas marcas, nombres comerciales y/o signos distintivos y sin que puedan entenderse cedidos al <strong>Usuario</strong>, ninguno de los derechos de explotación que existen o puedan existir sobre dichos Contenidos. De igual modo los Contenidos son propiedad intelectual de <strong>[pdrgpd-sitio]</strong>, o de terceros en su caso, por tanto, los derechos de Propiedad Intelectual son titularidad de <strong>[pdrgpd-sitio]</strong> o de terceros que han autorizado su uso, a quienes corresponde el ejercicio exclusivo de los derechos de explotación de los mismos en cualquier forma y, en especial, los derechos de reproducción, distribución, comunicación pública y transformación. La utilización no autorizada de la información contenida en esta Web, así como la lesión de los derechos de Propiedad Intelectual o Industrial de <strong>[pdrgpd-sitio]</strong> o de terceros incluidos en <strong>[pdrgpd-dominio]</strong> que hayan cedido contenidos dará lugar a las responsabilidades legalmente establecidas.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-disponibilidad' , 'pdrgpd_aviso_legal_disponibilidad' );
function pdrgpd_aviso_legal_disponibilidad() {
	$html  = '<h3>DISPONIBILIDAD DE ' . strtoupper ( do_shortcode ( '[pdrgpd-dominio]' ) ) . '</h3>
<p><strong>[pdrgpd-sitio]</strong> no garantiza la inexistencia de interrupciones o errores en el acceso a <strong>[pdrgpd-dominio]</strong>, a sus contenidos, ni que éste se encuentren actualizados, aunque desarrollará sus mejores esfuerzos para, en su caso, evitarlos, subsanarlos o actualizarlos. Por consiguiente, <strong>[pdrgpd-sitio]</strong> no se responsabiliza de los daños o perjuicios de cualquier tipo producidos en el <strong>Usuario</strong> que traigan causa de fallos o desconexiones en las redes de telecomunicaciones que produzcan la suspensión, cancelación o interrupción del servicio del portal durante la prestación del mismo o con carácter previo.</p>

<p><strong>[pdrgpd-sitio]</strong> excluye, con las excepciones contempladas en la legislación vigente, cualquier responsabilidad por los daños y perjuicios de toda naturaleza que puedan deberse a la falta de disponibilidad, continuidad o calidad del funcionamiento de <strong>[pdrgpd-dominio]</strong> y de los Contenidos, al no cumplimiento de la expectativa de utilidad que el <strong>USUARIO</strong> hubiera podido atribuir a <strong>[pdrgpd-dominio]</strong> y a los Contenidos.</p>

<p>La función de los Hiperenlaces que aparecen en esta Web es exclusivamente la de informar al <strong>Usuario</strong> acerca de la existencia de otras Web que contienen información sobre la materia. Dichos Hiperenlaces no constituyen sugerencia ni recomendación alguna.</p>

<p><strong>[pdrgpd-sitio]</strong> no se hace responsable de los contenidos de dichas páginas enlazadas, del funcionamiento o utilidad de los Hiperenlaces ni del resultado de dichos enlaces, ni garantiza la ausencia de virus u otros elementos en los mismos que puedan producir alteraciones en el sistema informático (hardware y software), los documentos o los ficheros del <strong>Usuario</strong>, excluyendo cualquier responsabilidad por los daños de cualquier clase causados al <strong>Usuario</strong> por este motivo.</p>

<p>El acceso a <strong>[pdrgpd-dominio]</strong> no implica la obligación por parte de <strong>[pdrgpd-sitio]</strong> de controlar la ausencia de virus, gusanos o cualquier otro elemento informático dañino. Corresponde al <strong>Usuario</strong>, en todo caso, la disponibilidad de herramientas adecuadas para la detección y desinfección de programas informáticos dañinos, por lo tanto, <strong>[pdrgpd-sitio]</strong> no se hace responsable de los posibles errores de seguridad que se puedan producir durante la prestación del servicio de <strong>[pdrgpd-dominio]</strong>, ni de los posibles daños que puedan causarse al sistema informático del <strong>Usuario</strong> o de terceros (hardware y software), los ficheros o documentos almacenados en el mismo, como consecuencia de la presencia de virus en el ordenador del <strong>Usuario</strong> utilizado para la conexión a los servicios y contenidos de la Web, de un mal funcionamiento del navegador o del uso de versiones no actualizadas del mismo.</p>

<p>La prestación del servicio de <strong>[pdrgpd-dominio]</strong> y de los Contenidos tiene, en principio, duración indefinida. <strong>[pdrgpd-sitio]</strong>, no obstante, queda autorizado para dar por terminada o suspender la prestación del servicio de <strong>[pdrgpd-dominio]</strong> y/o de cualquiera de los Contenidos en cualquier momento. Cuando ello sea razonablemente posible, <strong>[pdrgpd-sitio]</strong> advertirá previamente la terminación o suspensión de <strong>[pdrgpd-dominio]</strong>.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-calidad' , 'pdrgpd_aviso_legal_calidad' );
function pdrgpd_aviso_legal_calidad() {
	$html  = '<h3>CALIDAD DE '.strtoupper( do_shortcode( '[pdrgpd-dominio]' ) ) . '</h3>
<p>Dado el entorno dinámico y cambiante de la información y servicios que se suministran por medio de <strong>[pdrgpd-dominio]</strong>, <strong>[pdrgpd-sitio]</strong> realiza su mejor esfuerzo, pero no garantiza la completa veracidad, exactitud, fiabilidad, utilidad y/o actualidad de los Contenidos. La información contenida en las páginas que componen este Portal sólo tiene carácter informativo, consultivo, divulgativo y publicitario. En ningún caso ofrecen ni tienen carácter de compromiso vinculante o contractual.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-limitacion-responsabilidad' , 'pdrgpd_aviso_legal_limitacion_responsabilidad' );
function pdrgpd_aviso_legal_limitacion_responsabilidad() {
	$html  = '<h3>LIMITACIÓN DE RESPONSABILIDAD</h3>
<p><strong>[pdrgpd-sitio]</strong> excluye toda responsabilidad por las decisiones que el <strong>Usuario</strong> pueda tomar basado en esta información, así como por los posibles errores tipográficos que puedan contener los documentos y gráficos de <strong>[pdrgpd-dominio]</strong>. La información está sometida a posibles cambios periódicos sin previo aviso de su contenido por ampliación, mejora, corrección o actualización de los Contenidos.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-notificaciones' , 'pdrgpd_aviso_legal_notificaciones' );
function pdrgpd_aviso_legal_notificaciones() {
	$html  = '<h3>NOTIFICACIONES</h3>
<p>Todas las notificaciones y comunicaciones por parte de <strong>[pdrgpd-sitio]</strong> al <strong>Usuario</strong> realizados por cualquier medio se considerarán eficaces a todos los efectos.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-aviso-legal-jurisdiccion' , 'pdrgpd_aviso_legal_jurisdiccion' );
function pdrgpd_aviso_legal_jurisdiccion() {
	// Para fijar la jurisdicción, ha de estar definida la provincia
	if ( pdrgpd_conf_provincia() ){
		$html  = '<h3>JURISDICCIÓN</h3>
<p>Para cuantas cuestiones se susciten sobre la interpretación, aplicación y cumplimiento de este Aviso Legal, así como de las reclamaciones que puedan derivarse de su uso, todos las partes intervinientes se someten a los Jueces y Tribunales de la provincia de [pdrgpd-provincia], renunciando de forma expresa a cualquier otro fuero que pudiera corresponderles.</p>';
		return do_shortcode( $html );
	}
}

add_shortcode( 'pdrgpd-aviso-legal-legislacion' , 'pdrgpd_aviso_legal_legislacion' );
function pdrgpd_aviso_legal_legislacion() {
	$html='<h3>LEGISLACIÓN APLICABLE</h3>
<p>El presente Aviso Legal se rige por la normativa española vigente.</p>';
	return do_shortcode( $html );
}

// Lectura de valores configurados o por defecto.
add_shortcode( 'pdrgpd-titular' , 'pdrgpd_conf_titular' );
function pdrgpd_conf_titular() {
	return esc_html( get_option( 'pdrgpd_titular' , 'Perico de los Palotes' ) );
}
add_shortcode( 'pdrgpd-nif' , 'pdrgpd_conf_nif' );
function pdrgpd_conf_nif() {
	return esc_html( get_option( 'pdrgpd_nif' , 'X00000000T' ) );
}
add_shortcode( 'pdrgpd-direccion' , 'pdrgpd_conf_direccion' );
function pdrgpd_conf_direccion() {
	return esc_html( get_option( 'pdrgpd_direccion' , '13, Rue del Percebe' ) );
}
add_shortcode( 'pdrgpd-cp' , 'pdrgpd_conf_cp' );
function pdrgpd_conf_cp() {
	return esc_html( get_option( 'pdrgpd_cp' , '' ) );
}
add_shortcode( 'pdrgpd-poblacion' , 'pdrgpd_conf_poblacion' );
function pdrgpd_conf_poblacion() {
	return esc_html( get_option( 'pdrgpd_poblacion' , 'Villaconejos de Arriba' ) );
}
add_shortcode( 'pdrgpd-provincia' , 'pdrgpd_conf_provincia' );
function pdrgpd_conf_provincia() {
	return esc_html( get_option('pdrgpd_provincia' , '' ) );
}
function pdrgpd_conf_pais() {
	return esc_html( 'España' );
}
add_shortcode( 'pdrgpd-telefono' , 'pdrgpd_conf_telefono' );
function pdrgpd_conf_telefono() {
	return esc_html( get_option( 'pdrgpd_telefono' , '' ) );
}
add_shortcode( 'pdrgpd-email' , 'pdrgpd_html_email' );
function pdrgpd_html_email() {
	$html  = '<a href="mailto:';
	$html .= antispambot( pdrgpd_conf_email() , 1 );
	$html .= '" title="dirección de correo electrónico">';
	$html .= antispambot( pdrgpd_conf_email() , 0 );
	$html .= '</a>';
	return $html;
}
function pdrgpd_conf_email() {
	return esc_html( get_option( 'pdrgpd_email' , get_bloginfo( 'admin_email' ) ) );
}

// Inscripción en el Registro Mercantil
//add_shortcode( 'pdrgpd-inscripcion-registro-mercantil' , 'pdrgpd_inscripcion_registro_mercantil' );
function pdrgpd_inscripcion_registro_mercantil() {
	if( pdrgpd_conf_rmercant_poblacion() ){
		$html  = ', con inscripción en el registro mercantil de ' . pdrgpd_conf_rmercant_poblacion();
		if( pdrgpd_conf_rmercant_provincia() && pdrgpd_conf_rmercant_poblacion() != pdrgpd_conf_rmercant_provincia() ){
			$html .= ', provincia de ' . pdrgpd_conf_rmercant_provincia();
		}
		if( pdrgpd_conf_rmercant_libro() ){
			$html .= ', libro ' . pdrgpd_conf_rmercant_libro();
		}
		if( pdrgpd_conf_rmercant_tomo() ){
			$html .= ', tomo ' . pdrgpd_conf_rmercant_tomo();
		}
		if( pdrgpd_conf_rmercant_folio() ){
			$html .= ', folio ' . pdrgpd_conf_rmercant_folio();
		}
		if( pdrgpd_conf_rmercant_hoja() ){
			$html .= ', hoja ' . pdrgpd_conf_rmercant_hoja();
		}
		if( pdrgpd_conf_rmercant_num() ){
			$html .= ', inscripción ' . pdrgpd_conf_rmercant_num();
		}
		return $html;
	}
}

function pdrgpd_conf_rmercant_poblacion() {
	return esc_html( get_option( 'pdrgpd_rmercant_poblacion' , '' ) );
}

function pdrgpd_conf_rmercant_provincia() {
	return esc_html( get_option( 'pdrgpd_rmercant_provincia' , '' ) );
}

function pdrgpd_conf_rmercant_libro() {
	return esc_html( get_option( 'pdrgpd_rmercant_libro' , '' ) );
}

function pdrgpd_conf_rmercant_tomo() {
	return esc_html( get_option( 'pdrgpd_rmercant_tomo' , '' ) );
}

function pdrgpd_conf_rmercant_folio() {
	return esc_html( get_option( 'pdrgpd_rmercant_folio' , '' ) );
}

function pdrgpd_conf_rmercant_hoja() {
	return esc_html( get_option( 'pdrgpd_rmercant_hoja' , '' ) );
}

function pdrgpd_conf_rmercant_num() {
	return esc_html( get_option( 'pdrgpd_rmercant_num' , '' ) );
}

add_shortcode( 'pdrgpd-sitio' , 'pdrgpd_conf_sitio' );
function pdrgpd_conf_sitio() {
	return esc_html( get_option( 'pdrgpd_sitio' , get_bloginfo( 'name' ) ) );
}
add_shortcode( 'pdrgpd-dominio' , 'pdrgpd_conf_dominio' );
function pdrgpd_conf_dominio() {
	// Quitamos el protocolo al valor por defecto de la home
	return esc_html (get_option( 'pdrgpd_dominio' , explode( '//' , get_bloginfo( 'url' ) )[1] ) );
}
add_shortcode( 'pdrgpd-uri-aviso' , 'pdrgpd_conf_uri_aviso' );
function pdrgpd_conf_uri_aviso() {
	return esc_url( get_option( 'pdrgpd_uri_aviso' , get_bloginfo( 'wpurl' ) . '/aviso-legal/' ) );
}
add_shortcode( 'pdrgpd-uri-privacidad' , 'pdrgpd_conf_uri_privacidad' );
function pdrgpd_conf_uri_privacidad() {
	return esc_url( get_option( 'pdrgpd_uri_privacidad' , get_bloginfo('wpurl') . '/privacidad/' ) );
}
add_shortcode( 'pdrgpd-uri-cookies' , 'pdrgpd_conf_uri_cookies' );
function pdrgpd_conf_uri_cookies() {
	return esc_url( get_option( 'pdrgpd_uri_cookies' , get_bloginfo( 'wpurl' ) . '/cookies/') );
}
