<?php
/**
 * Mantiene el Aviso Legal
 *
 * @package   Protección de datos - RGPD
 * @author    ABCdatos
 * @license   GPLv2
 * @link      https://taller.abcdatos.net/
 */

defined( 'ABSPATH' ) or die( 'No se permite el acceso.' );

// Shortcodes

add_shortcode( 'pdrgpd-politica-cookies' , 'pdrgpd_politica_cookies' );
function pdrgpd_politica_cookies() {
	$html  = "[pdrgpd-politica-cookies-introduccion]\n";
	$html .= "[pdrgpd-politica-cookies-tipos]\n";
	$html .= "[pdrgpd-politica-cookies-gestionar]\n";
//	$html .= "[pdrgpd-politica-cookies-lista]\n";
	$html .= "[pdrgpd-politica-cookies-necesidad]\n";
	$html .= "[pdrgpd-politica-cookies-actualizacion]\n";
	$html .= "[pdrgpd-politica-cookies-contacto]\n";
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-cookies-introduccion' , 'pdrgpd_politica_cookies_introduccion' );
function pdrgpd_politica_cookies_introduccion() {
	$html  = "<h3>Este sitio utiliza cookies</h3>\n";
	$html .= '<p>En cumplimiento de la Ley 34/2002 de 11 de julio de Servicios de la Sociedad de la Información y de Comercio Electrónico (LSSICE), te informamos de que este sitio web <strong>[pdrgpd-sitio]</strong> utiliza cookies.</p>
<p>La LSSICE se aplica a cualquier clase de archivo o dispositivo que se descargue en el equipo terminal de un usuario con el fin de almacenar datos que podrán ser actualizados y recuperados por la entidad responsable de su instalación. Una cookie es uno de esos archivos de uso generalizado a los que, denominaremos genéricamente como cookies.</p>
<p>Las cookies (en castellano, galletas) son pequeños ficheros de texto enviados a un navegador desde un servidor web para registrar actividad del usuario en un sitio web de modo que se pueda recuperar esa información con posterioridad durante la navegación por las diferentes páginas que estén conectadas al servidor que se las instaló.</p>
<p>Las <em>cookies</em> suelen almacenar información de carácter técnico, preferencias personales, personalización de contenidos, estadísticas de uso, enlaces a redes sociales, acceso a cuentas de usuario, etc.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-cookies-tipos' , 'pdrgpd_politica_cookies_tipos' );
function pdrgpd_politica_cookies_tipos() {
	$html  = "<h3>Tipos de cookies</h3>\n";
	$html .= '<p>A continuación, se realiza una clasificación de las cookies en función de una serie de categorías. No obstante es necesario tener en cuenta que una misma cookie puede estar incluida en más de una categoría.</p>';
	$html .= "<h2>Según la entidad que las gestiona</h2>\n";
	$html .= '<p></p>';
	$html .= '<ul>
	<li><b>Cookies propias:</b> Son aquellas que  se envían al equipo terminal del usuario desde un equipo o dominio gestionado por el propio editor y desde el que se presta el servicio solicitado por el usuario.</li>
	<li><b>Cookies de terceros:</b> Son aquellas que se envían al equipo terminal del usuario desde un equipo o dominio que no es gestionado por el editor, sino por otra entidad que trata los datos obtenidos través de las cookies.</li>
</ul>';
	$html .= '<p>En el caso de que las cookies sean instaladas desde un equipo o dominio gestionado por el propio editor pero la información que se recoja mediante estas sea gestionada por un tercero, no son consideradas cookies propias.</p>';
	$html .= "<h2>Según el plazo de tiempo que permanecen activadas</h2>\n";
	$html .= '<p>Según el plazo de tiempo que permanecen activadas en el equipo terminal podemos distinguir:</p>';
	$html .= '<ul>
	<li><b>Cookies de sesión:</b> Son un tipo de cookies diseñadas para recabar y almacenar datos mientras el usuario accede a una página web. Se suelen emplear para almacenar información que solo interesa conservar para la prestación del servicio solicitado por el usuario en una sola ocasión (p.e. una lista de productos adquiridos).</li>
	<li><b>Cookies persistentes:</b> Son un tipo de cookies en el que los datos siguen almacenados en el terminal y pueden ser accedidos y tratados durante un periodo definido por el responsable de la cookie, y que puede ir de unos minutos a varios años.</li>
</ul>';
	$html .= "<h2>Según su finalidad</h2>\n";
	$html .= '<p>Según la finalidad para la que se traten los datos obtenidos a través de las cookies, podemos distinguir entre:</p>';
	$html .= '<ul>
	<li><b>Cookies técnicas:</b> Son aquellas que permiten al usuario la navegación a través de una página web, plataforma o aplicación y la utilización de las diferentes opciones o servicios que en ella existan como, por ejemplo, controlar el tráfico y la comunicación de datos, identificar la sesión, acceder a partes de acceso restringido, recordar los elementos que integran un pedido, realizar el proceso de compra de un pedido, realizar la solicitud de inscripción o participación en un evento, utilizar elementos de seguridad durante la navegación, almacenar contenidos para la difusión de videos o sonido o compartir contenidos a través de redes sociales.</li>
	<li><b>Cookies de personalización:</b> Son aquellas que permiten al usuario acceder al servicio con algunas características de carácter general predefinidas en función de una serie de criterios en el terminal del usuario como por ejemplo serian el idioma, el tipo de navegador a través del cual accede al servicio, la configuración regional desde donde accede al servicio, etc.</li>
	<li><b>Cookies de análisis:</b> Son aquellas que permiten al responsable de las mismas, el seguimiento y análisis del comportamiento de los usuarios de los sitios web a los que están vinculadas. La información recogida mediante este tipo de cookies se utiliza en la medición de la actividad de los sitios web, aplicación o plataforma y para la elaboración de perfiles de navegación de los usuarios de dichos sitios, aplicaciones y plataformas, con el fin de introducir mejoras en función del análisis de los datos de uso que hacen los usuarios del servicio.</li>
	<li><b>Cookies publicitarias:</b> Son aquellas que permiten la gestión, de la forma más eficaz posible, de los espacios publicitarios que, en su caso, el editor haya incluido en una página web, aplicación o plataforma desde la que presta el servicio solicitado en base a criterios como el contenido editado o la frecuencia en la que se muestran los anuncios.</li>
	<li><b>Cookies de publicidad comportamental:</b> Son aquellas que permiten la gestión, de la forma más eficaz posible, de los espacios publicitarios que, en su caso, el editor haya incluido en una página web, aplicación o plataforma desde la que presta el servicio solicitado. Estas cookies almacenan información del comportamiento de los usuarios obtenida a través de la observación continuada de sus hábitos de navegación, lo que permite desarrollar un perfil específico para mostrar publicidad en función del mismo.</li>
</ul>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-cookies-gestionar' , 'pdrgpd_politica_cookies_gestionar' );
function pdrgpd_politica_cookies_gestionar() {
	$html  = '<h3>Cómo desactivar las cookies en los principales navegadores web</h3>
<p>Para configurar el uso de cookies, sigue las instrucciones correspondientes a tu navegador o consulta su ayuda:</p>
<ul>
<li><a href="https://support.apple.com/es-es/HT201265">Safari</a></li>
<li><a href="https://support.mozilla.org/es/kb/habilitar-y-deshabilitar-cookies-sitios-web-rastrear-preferencias?redirectlocale=es&redirectslug=habilitar-y-deshabilitar-cookies-que-los-sitios-we">Firefox</a></li>
<li><a href="https://support.google.com/chrome/answer/95647?hl=es-es">Chrome</a></li>
<li><a href="https://www.opera.com/help/tutorials/security/privacy/">Ópera</a></li>
<li><a href="https://support.microsoft.com/es-es/help/17442/windows-internet-explorer-delete-manage-cookies">Internet Explorer</a></li>
<li><a href="https://privacy.microsoft.com/es-es/windows-10-microsoft-edge-and-privacy">Edge</a></li>
</ul>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-cookies-necesidad' , 'pdrgpd_politica_cookies_necesidad' );
function pdrgpd_politica_cookies_necesidad() {
	$html  = '<h3>Qué sucede si no se aceptan las cookies</h3>
<p>El rechazo de las cookies puede impedir el acceso a contenidos y servicios personalizados.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-cookies-utilizadas' , 'pdrgpd_politica_cookies_utilizadas' );
function pdrgpd_politica_cookies_utilizadas() {
	$html  = '<h3>Cookies utilizadas</h3>
<p>En este sitio utilizamos las siguientes cookies:</p>
<ul>';
	$html .= '<li></li>';
	$html .= '<li></li>';
	$html .= '<li></li>';
	$html .= '</ul>';
	return do_shortcode( $html );
	return '';
}

add_shortcode( 'pdrgpd-politica-cookies-actualizacion' , 'pdrgpd_politica_cookies_actualizacion' );
function pdrgpd_politica_cookies_actualizacion() {
	$html  = '<h3>Actualizaciones y modificaciones en la política de cookies.</h3>
<p>[pdrgpd-sitio] puede modificar esta política de cookies en función de las exigencias legislativas, reglamentarias, con la finalidad de adaptar dicha política a las instrucciones dictadas por la Agencia Española de Protección de Datos, por cuestiones técnicas o de reorganización de la web; por ello te aconsejamos que la visites periódicamente.';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-cookies-contacto' , 'pdrgpd_politica_cookies_contacto' );
function pdrgpd_politica_cookies_contacto() {
	$html  = '<h3>Contacto</h3>
<p>Para resolver cualquier duda sobre cómo utilizamos las cookies, escríbenos dirección de correo electrónico [pdrgpd-email].';
	return do_shortcode( $html );
}
