<?php
/**
 * Mantiene la política de privacidad
 *
 * @package   Protección de datos - RGPD
 * @author    ABCdatos
 * @license   GPLv2
 * @link      https://taller.abcdatos.net/
 */

defined( 'ABSPATH' ) or die( 'No se permite el acceso.' );

// Shortcodes

add_shortcode( 'pdrgpd-politica-privacidad' , 'pdrgpd_politica_privacidad' );
function pdrgpd_politica_privacidad() {
	$html  = "[pdrgpd-politica-privacidad-presentacion]\n";
	$html .= "[pdrgpd-politica-privacidad-responsable]\n";
	$html .= "[pdrgpd-politica-privacidad-finalidad]\n";
	$html .= "[pdrgpd-politica-privacidad-legitimacion]\n";
	$html .= "[pdrgpd-politica-privacidad-transferencia]\n";
	$html .= "[pdrgpd-politica-privacidad-derechos]\n";
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-privacidad-presentacion' , 'pdrgpd_politica_privacidad_presentacion' );
function pdrgpd_politica_privacidad_presentacion() {
	$html ="<h3>INTRODUCCION</h3>\n";
	$html .= '<p>[pdrgpd-sitio], sensibilizado con las necesidades de los usuarios de Internet y conscientes de la importancia de la rigurosa privacidad de la información personal que nos confían, incluye esta declaración de privacidad con el objeto de que seas consciente de la política en el tratamiento de los datos personales que obtiene de sus visitantes y usuarios.</p>';
	$html .= '<p>Como usuario, aceptas estas condiciones por el mero hecho de leer, visualizar o navegar en el sitio. De no aceptarlas, debes abandonar el sitio, sin hacer uso alguno de él y su contenido, y sin acceder a las páginas enlazadas.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-privacidad-responsable' , 'pdrgpd_politica_privacidad_responsable' );
function pdrgpd_politica_privacidad_responsable() {
	$html  ="<h3 id='responsable'>RESPONSABLE DEL TRATAMIENTO DE DATOS</h3>\n";
	$html .= '<p>El titular del sitio y responsable del tratamiento de datos es [pdrgpd-titular]';
	$html .= ', con '.pdrgpd_nif_o_cif(pdrgpd_conf_nif() ).' [pdrgpd-nif]';
	$html .= ', para contactar puedes utilizar la dirección de correo electrónico [pdrgpd-email]';
	if( pdrgpd_conf_telefono() ) {
		$html .= ', el teléfono [pdrgpd-telefono]';
	}
	$html .= ' o correo postal a [pdrgpd-direccion]';
	if ( pdrgpd_conf_cp() ) {
		$html .= ', código postal [pdrgpd-cp]';
	}
	$html .= ' de [pdrgpd-poblacion]';
	if ( pdrgpd_conf_poblacion() != pdrgpd_conf_provincia() && pdrgpd_conf_provincia() ){
		$html .= ', [pdrgpd-provincia]';
	}
	$html .= '.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-privacidad-finalidad' , 'pdrgpd_politica_privacidad_finalidad' );
function pdrgpd_politica_privacidad_finalidad() {
	$html  ="<h3 id='finalidad'>FINALIDAD DEL TRATAMIENTO DE DATOS</h3>\n";
	$html .= '<p>En nuestros sitios web, existen unos apartados específicos donde puedes anotar tus datos para recibir información sobre actualizaciones de nuestra web y de algunos los programas que se distribuyen. Nosotros te aseguramos que la información que nos facilites será gestionada de forma totalmente confidencial.</p>';
	/*
	*/
	if ( pdrgpd_conf_existencia_formulario_contacto() ) {
		$html .= '[pdrgpd-finalidad-formulario-contacto]';
	}
	if ( pdrgpd_conf_existencia_formulario_comentar() ) {
		$html .= '[pdrgpd-finalidad-formulario-comentar]';
	}
	if ( pdrgpd_conf_existencia_boletin() ) {
		$html .= '[pdrgpd-finalidad-suscripcion-boletin]';
	}
	/* Upcoming new fields? */
	/* Registro */
	/* Foros */
	/* Contenidos */
	/* Pedidos */
	$html .= '<p>Los datos se almacenarán mientras exista previsión de su uso para el fin por el que fueron recabados.</p>';
	$html .= '<p>No se realizan tomas de decisiones automatizadas con tus datos.</p>';
	$html .= '<p>La web puede utilizar cookies, consulta nuestra <a href="[pdrgpd-uri-cookies]">política de cookies</a>.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-privacidad-legitimacion' , 'pdrgpd_politica_privacidad_legitimacion' );
function pdrgpd_politica_privacidad_legitimacion() {
	$html  ="<h3 id='legitimacion'>LEGITIMACIÓN DEL TRATAMIENTO DE DATOS</h3>\n";
	$html .= '<p>El uso de tus datos se realiza porque nos das tu consentimiento para usar los que nos proporcionas en los formularios para un uso específico que se indica en cada uno de ellos. Tus datos solo son necesarios para los usos concretos por los que se te solicitan, si no nos los facilitas, esos servicios no son posibles.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-politica-privacidad-transferencia' , 'pdrgpd_politica_privacidad_transferencia' );
function pdrgpd_politica_privacidad_transferencia() {
	$html  ="<h3 id='transferencia'>TRANSFERENCIAS Y CESIONES DE DATOS</h3>\n";
	$html .= '<p>Existe un compromiso firme por nuestra parte de que los datos que proporcione a [pdrgpd-sitio], no serán vendidos ni cedidos a terceras personas sin el previo consentimiento del interesado bajo ningún concepto o circunstancia, salvo consentimiento expreso u obligación legal.</p>';
	if ( pdrgpd_existe_akismet() ) {
			$html .= '<p>Los datos incorporados en el formulario de comentarios, serán tratados por Automattic Inc., con domicilio en EEUU con la finalidad de filtrar el spam en los comentarios. Puede consultar la <a href="https://automattic.com/privacy-notice/">política de privacidad de Automattic Inc.</a>.</p>';
	}
	$html .= '<p>Nuestro sitio web contiene enlaces hacia sitios web de terceros. [pdrgpd-sitio] no se hace responsable por las políticas y prácticas de privacidad de estos otros sitios.</p>';
	return do_shortcode( $html );
}

function pdrgpd_politica_privacidad_transferencia_mini( $formulario ) {
	if ( pdrgpd_existe_akismet() && 'comentar' == $formulario ) {
		$html = 'Automattic Inc., EEUU para filtrar el spam.';
	}
	else{
		$html = 'No se cederán datos a terceros, salvo obligación legal.';
	}
	return $html;
}

add_shortcode( 'pdrgpd-politica-privacidad-derechos' , 'pdrgpd_politica_privacidad_derechos' );
function pdrgpd_politica_privacidad_derechos() {
	$html  ="<h3 id='derechos'>DERECHOS DE LOS INTERESADOS</h3>\n";
	$html .= '<p>Tienes el derecho de acceder a la información que sobre tu persona está almacenada en nuestras bases de datos, rectificarla si existiera alguna errata, suprimirla, limitarla, oponerte a su tratamiento y retirar tu consentimiento si ese es tu deseo. Para ello simplemente debes escribir un e-mail a la dirección de correo electrónico [pdrgpd-email] donde te atenderemos gustosamente cualquier consulta, comentario o aclaración requerida al respecto.</p>';
	$html .= '<p>Para mayor información sobre temas relacionados, el sitio de referencia en la Red española es la <a href="https://www.agpd.es/">Agencia de Protección de Datos</a>, donde tienes derecho a reclamar.</p>';
	return do_shortcode( $html );
}

add_shortcode( 'pdrgpd-finalidad-formulario-contacto' , 'pdrgpd_finalidad_formulario_contacto' );
function pdrgpd_finalidad_formulario_contacto() {
	if ( pdrgpd_conf_finalidad_formulario_contacto() || pdrgpd_conf_finalidad_formulario_contacto_mini()) {
		$html  = '<p>Formulario de contacto: ';
		if ( pdrgpd_conf_finalidad_formulario_contacto() ) {
			$html .= esc_html( pdrgpd_conf_finalidad_formulario_contacto() );
		}
		elseif ( pdrgpd_conf_finalidad_formulario_contacto_mini() ){
			$html .= esc_html( pdrgpd_conf_finalidad_formulario_contacto_mini() );
		}
		$html .= "</p>\n";
		return $html;
	}
}

function pdrgpd_conf_existencia_formulario_contacto() {
	return get_option( 'pdrgpd_existencia_formulario_contacto' );
}

function pdrgpd_conf_finalidad_formulario_contacto_mini() {
	return get_option( 'pdrgpd_finalidad_formulario_contacto_mini' , 'Mantener el contacto contigo u otras acciones que nos solicites.' );
}

function pdrgpd_conf_finalidad_formulario_contacto() {
	return get_option( 'pdrgpd_finalidad_formulario_contacto' );
}

add_shortcode( 'pdrgpd-finalidad-suscripcion-boletin' , 'pdrgpd_finalidad_suscripcion_boletin' );
function pdrgpd_finalidad_suscripcion_boletin() {
	if ( pdrgpd_conf_finalidad_suscripcion_boletin() || pdrgpd_conf_finalidad_suscripcion_boletin_mini() ) {
		$html  = '<p>Suscripción a boletín/newsletter: ';
		if ( pdrgpd_conf_finalidad_suscripcion_boletin() ) {
			$html .= esc_html( pdrgpd_conf_finalidad_suscripcion_boletin() );
		}
		elseif ( pdrgpd_conf_finalidad_suscripcion_boletin_mini() ){
			$html .= esc_html( pdrgpd_conf_finalidad_suscripcion_boletin_mini() );
		}
		$html .= "</p>\n";
		return $html;
	}
}

function pdrgpd_conf_existencia_boletin() {
	return get_option( 'pdrgpd_existencia_boletin' );
}

function pdrgpd_conf_finalidad_suscripcion_boletin_mini() {
	return get_option( 'pdrgpd_finalidad_suscripcion_boletin_mini' , 'Enviar boletines a tu dirección de correo electrónico.' );
}

function pdrgpd_conf_finalidad_suscripcion_boletin() {
	return get_option( 'pdrgpd_finalidad_suscripcion_boletin' );
}

add_shortcode( 'pdrgpd-finalidad-formulario-comentar' , 'pdrgpd_finalidad_formulario_comentar' );
function pdrgpd_finalidad_formulario_comentar() {
	if ( pdrgpd_conf_finalidad_formulario_comentar() || pdrgpd_conf_finalidad_formulario_comentar_mini() ) {
		$html  = '<p>Formulario de comentarios: ';
		if ( pdrgpd_conf_finalidad_formulario_comentar() ) {
			// Quita espacios o un punto final)
			$html .= esc_html( rtrim( pdrgpd_conf_finalidad_formulario_comentar() , ' .' ) );
		}
		elseif ( pdrgpd_conf_finalidad_formulario_comentar_mini() ) {
			// Quita espacios o un punto final)
			$html .= esc_html( rtrim( pdrgpd_conf_finalidad_formulario_comentar_mini() , ' .' ) );
		}
		if ( pdrgpd_existe_akismet() ) {
			// Asegurar que hay valor en pdrgpd_conf_finalidad_formulario_comentar() y quitar el punto final.
			$html .= ', incluyendo filtrar el spam';
		}
		$html .= ".</p>\n";
		return $html;
	}
}

function pdrgpd_conf_existencia_formulario_comentar() {
	return get_option( 'pdrgpd_existencia_formulario_comentar' );
}

function pdrgpd_conf_finalidad_formulario_comentar_mini() {
	return get_option( 'pdrgpd_finalidad_formulario_comentar_mini' , 'Gestionar y moderar tus comentarios.' );
}

function pdrgpd_conf_finalidad_formulario_comentar() {
	return get_option( 'pdrgpd_finalidad_formulario_comentar' );
}
